Skip to Content

Read the observed sender for a WhatsApp owner challenge

Requires the same signed-in owner. The observed phone is available only after authenticated inbound delivery on the selected business number.

GET
/v1/integrations/catalog/recipes/post-delivery-check-in/owner-test/whatsapp/{accountId}/challenges/{id}

Requires the same signed-in owner. The observed phone is available only after authenticated inbound delivery on the selected business number.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

accountId*string
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Response Body

RecipeChallengeStatus

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
expiresAt*string
observedPhone*|null
confirmedAt*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeWhatsAppChallengeGet({
  "accountId": "example",
  "id": "example"
});
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "expiresAt": "string",
  "observedPhone": "string",
  "confirmedAt": "string"
}

Related documentation